<!DOCTYPE html>
<html>
<head>
    <title>DVC Plot</title>
    <script src="https://cdn.jsdelivr.net/npm/vega@5.10.0"></script>
    <script src="https://cdn.jsdelivr.net/npm/vega-lite@4.8.1"></script>
    <script src="https://cdn.jsdelivr.net/npm/vega-embed@6.5.1"></script>
</head>
<body>
    <div id = "plot0"></div>
<script type = "text/javascript">
    var spec = {
    "$schema": "https://vega.github.io/schema/vega-lite/v4.json",
    "data": {
        "values": [
    {
        "index": 0,
        "precision": 1.0,
        "recall": 1.0,
        "rev": "workspace",
        "threshold": 0.996957540512085
    },
    {
        "index": 1,
        "precision": 1.0,
        "recall": 0.9939024390243902,
        "rev": "workspace",
        "threshold": 0.997553288936615
    },
    {
        "index": 2,
        "precision": 1.0,
        "recall": 0.9878048780487805,
        "rev": "workspace",
        "threshold": 0.9976229071617126
    },
    {
        "index": 3,
        "precision": 1.0,
        "recall": 0.9817073170731707,
        "rev": "workspace",
        "threshold": 0.9976685643196106
    },
    {
        "index": 4,
        "precision": 1.0,
        "recall": 0.975609756097561,
        "rev": "workspace",
        "threshold": 0.9976789355278015
    },
    {
        "index": 5,
        "precision": 1.0,
        "recall": 0.9695121951219512,
        "rev": "workspace",
        "threshold": 0.9976876974105835
    },
    {
        "index": 6,
        "precision": 1.0,
        "recall": 0.9634146341463414,
        "rev": "workspace",
        "threshold": 0.9977164268493652
    },
    {
        "index": 7,
        "precision": 1.0,
        "recall": 0.9573170731707317,
        "rev": "workspace",
        "threshold": 0.9977637529373169
    },
    {
        "index": 8,
        "precision": 1.0,
        "recall": 0.9512195121951219,
        "rev": "workspace",
        "threshold": 0.9978131055831909
    },
    {
        "index": 9,
        "precision": 1.0,
        "recall": 0.9451219512195121,
        "rev": "workspace",
        "threshold": 0.9978247880935669
    },
    {
        "index": 10,
        "precision": 1.0,
        "recall": 0.9390243902439024,
        "rev": "workspace",
        "threshold": 0.9979091286659241
    },
    {
        "index": 11,
        "precision": 1.0,
        "recall": 0.9329268292682927,
        "rev": "workspace",
        "threshold": 0.9979507327079773
    },
    {
        "index": 12,
        "precision": 1.0,
        "recall": 0.926829268292683,
        "rev": "workspace",
        "threshold": 0.9979900121688843
    },
    {
        "index": 13,
        "precision": 1.0,
        "recall": 0.9207317073170732,
        "rev": "workspace",
        "threshold": 0.9980798959732056
    },
    {
        "index": 14,
        "precision": 1.0,
        "recall": 0.9146341463414634,
        "rev": "workspace",
        "threshold": 0.9981081485748291
    },
    {
        "index": 15,
        "precision": 1.0,
        "recall": 0.9085365853658537,
        "rev": "workspace",
        "threshold": 0.9981155395507812
    },
    {
        "index": 16,
        "precision": 1.0,
        "recall": 0.9024390243902439,
        "rev": "workspace",
        "threshold": 0.9981367588043213
    },
    {
        "index": 17,
        "precision": 1.0,
        "recall": 0.8963414634146342,
        "rev": "workspace",
        "threshold": 0.998239278793335
    },
    {
        "index": 18,
        "precision": 1.0,
        "recall": 0.8902439024390244,
        "rev": "workspace",
        "threshold": 0.9982403516769409
    },
    {
        "index": 19,
        "precision": 1.0,
        "recall": 0.8841463414634146,
        "rev": "workspace",
        "threshold": 0.998272180557251
    },
    {
        "index": 20,
        "precision": 1.0,
        "recall": 0.8780487804878049,
        "rev": "workspace",
        "threshold": 0.9982740879058838
    },
    {
        "index": 21,
        "precision": 1.0,
        "recall": 0.8719512195121951,
        "rev": "workspace",
        "threshold": 0.9982907176017761
    },
    {
        "index": 22,
        "precision": 1.0,
        "recall": 0.8658536585365854,
        "rev": "workspace",
        "threshold": 0.9983205199241638
    },
    {
        "index": 23,
        "precision": 1.0,
        "recall": 0.8597560975609756,
        "rev": "workspace",
        "threshold": 0.9983412027359009
    },
    {
        "index": 24,
        "precision": 1.0,
        "recall": 0.8536585365853658,
        "rev": "workspace",
        "threshold": 0.9983595013618469
    },
    {
        "index": 25,
        "precision": 1.0,
        "recall": 0.8475609756097561,
        "rev": "workspace",
        "threshold": 0.9983949065208435
    },
    {
        "index": 26,
        "precision": 1.0,
        "recall": 0.8414634146341463,
        "rev": "workspace",
        "threshold": 0.9983999133110046
    },
    {
        "index": 27,
        "precision": 1.0,
        "recall": 0.8353658536585366,
        "rev": "workspace",
        "threshold": 0.9984996318817139
    },
    {
        "index": 28,
        "precision": 1.0,
        "recall": 0.8292682926829268,
        "rev": "workspace",
        "threshold": 0.9985396862030029
    },
    {
        "index": 29,
        "precision": 1.0,
        "recall": 0.823170731707317,
        "rev": "workspace",
        "threshold": 0.9985449314117432
    },
    {
        "index": 30,
        "precision": 1.0,
        "recall": 0.8109756097560976,
        "rev": "workspace",
        "threshold": 0.9985511898994446
    },
    {
        "index": 31,
        "precision": 1.0,
        "recall": 0.8048780487804879,
        "rev": "workspace",
        "threshold": 0.9985719919204712
    },
    {
        "index": 32,
        "precision": 1.0,
        "recall": 0.7987804878048781,
        "rev": "workspace",
        "threshold": 0.9985846281051636
    },
    {
        "index": 33,
        "precision": 1.0,
        "recall": 0.7926829268292683,
        "rev": "workspace",
        "threshold": 0.9985950589179993
    },
    {
        "index": 34,
        "precision": 1.0,
        "recall": 0.7865853658536586,
        "rev": "workspace",
        "threshold": 0.9985951781272888
    },
    {
        "index": 35,
        "precision": 1.0,
        "recall": 0.7804878048780488,
        "rev": "workspace",
        "threshold": 0.9985952973365784
    },
    {
        "index": 36,
        "precision": 1.0,
        "recall": 0.774390243902439,
        "rev": "workspace",
        "threshold": 0.9986078143119812
    },
    {
        "index": 37,
        "precision": 1.0,
        "recall": 0.7682926829268293,
        "rev": "workspace",
        "threshold": 0.9986099004745483
    },
    {
        "index": 38,
        "precision": 1.0,
        "recall": 0.7621951219512195,
        "rev": "workspace",
        "threshold": 0.998636782169342
    },
    {
        "index": 39,
        "precision": 1.0,
        "recall": 0.7560975609756098,
        "rev": "workspace",
        "threshold": 0.9986404776573181
    },
    {
        "index": 40,
        "precision": 1.0,
        "recall": 0.75,
        "rev": "workspace",
        "threshold": 0.9986550807952881
    },
    {
        "index": 41,
        "precision": 1.0,
        "recall": 0.7439024390243902,
        "rev": "workspace",
        "threshold": 0.9986580610275269
    },
    {
        "index": 42,
        "precision": 1.0,
        "recall": 0.7378048780487805,
        "rev": "workspace",
        "threshold": 0.9986633062362671
    },
    {
        "index": 43,
        "precision": 1.0,
        "recall": 0.7317073170731707,
        "rev": "workspace",
        "threshold": 0.9986660480499268
    },
    {
        "index": 44,
        "precision": 1.0,
        "recall": 0.725609756097561,
        "rev": "workspace",
        "threshold": 0.9986786246299744
    },
    {
        "index": 45,
        "precision": 1.0,
        "recall": 0.7195121951219512,
        "rev": "workspace",
        "threshold": 0.9986799359321594
    },
    {
        "index": 46,
        "precision": 1.0,
        "recall": 0.7134146341463414,
        "rev": "workspace",
        "threshold": 0.9986903071403503
    },
    {
        "index": 47,
        "precision": 1.0,
        "recall": 0.7073170731707317,
        "rev": "workspace",
        "threshold": 0.998691976070404
    },
    {
        "index": 48,
        "precision": 1.0,
        "recall": 0.7012195121951219,
        "rev": "workspace",
        "threshold": 0.9987020492553711
    },
    {
        "index": 49,
        "precision": 1.0,
        "recall": 0.6951219512195121,
        "rev": "workspace",
        "threshold": 0.9987095594406128
    },
    {
        "index": 50,
        "precision": 1.0,
        "recall": 0.6890243902439024,
        "rev": "workspace",
        "threshold": 0.9987138509750366
    },
    {
        "index": 51,
        "precision": 1.0,
        "recall": 0.6829268292682927,
        "rev": "workspace",
        "threshold": 0.9987143278121948
    },
    {
        "index": 52,
        "precision": 1.0,
        "recall": 0.676829268292683,
        "rev": "workspace",
        "threshold": 0.9987170696258545
    },
    {
        "index": 53,
        "precision": 1.0,
        "recall": 0.6707317073170732,
        "rev": "workspace",
        "threshold": 0.9987185001373291
    },
    {
        "index": 54,
        "precision": 1.0,
        "recall": 0.6646341463414634,
        "rev": "workspace",
        "threshold": 0.9987277388572693
    },
    {
        "index": 55,
        "precision": 1.0,
        "recall": 0.6585365853658537,
        "rev": "workspace",
        "threshold": 0.9987284541130066
    },
    {
        "index": 56,
        "precision": 1.0,
        "recall": 0.6524390243902439,
        "rev": "workspace",
        "threshold": 0.9987395405769348
    },
    {
        "index": 57,
        "precision": 1.0,
        "recall": 0.6463414634146342,
        "rev": "workspace",
        "threshold": 0.9987443685531616
    },
    {
        "index": 58,
        "precision": 1.0,
        "recall": 0.6402439024390244,
        "rev": "workspace",
        "threshold": 0.9987449645996094
    },
    {
        "index": 59,
        "precision": 1.0,
        "recall": 0.6341463414634146,
        "rev": "workspace",
        "threshold": 0.9987488985061646
    },
    {
        "index": 60,
        "precision": 1.0,
        "recall": 0.6280487804878049,
        "rev": "workspace",
        "threshold": 0.9987497329711914
    },
    {
        "index": 61,
        "precision": 1.0,
        "recall": 0.6219512195121951,
        "rev": "workspace",
        "threshold": 0.998751163482666
    },
    {
        "index": 62,
        "precision": 1.0,
        "recall": 0.6158536585365854,
        "rev": "workspace",
        "threshold": 0.9987708926200867
    },
    {
        "index": 63,
        "precision": 1.0,
        "recall": 0.6097560975609756,
        "rev": "workspace",
        "threshold": 0.9987730383872986
    },
    {
        "index": 64,
        "precision": 1.0,
        "recall": 0.6036585365853658,
        "rev": "workspace",
        "threshold": 0.9987755417823792
    },
    {
        "index": 65,
        "precision": 1.0,
        "recall": 0.5975609756097561,
        "rev": "workspace",
        "threshold": 0.9987781643867493
    },
    {
        "index": 66,
        "precision": 1.0,
        "recall": 0.5914634146341463,
        "rev": "workspace",
        "threshold": 0.998783528804779
    },
    {
        "index": 67,
        "precision": 1.0,
        "recall": 0.5853658536585366,
        "rev": "workspace",
        "threshold": 0.9987840056419373
    },
    {
        "index": 68,
        "precision": 1.0,
        "recall": 0.5792682926829268,
        "rev": "workspace",
        "threshold": 0.998786985874176
    },
    {
        "index": 69,
        "precision": 1.0,
        "recall": 0.573170731707317,
        "rev": "workspace",
        "threshold": 0.9987934827804565
    },
    {
        "index": 70,
        "precision": 1.0,
        "recall": 0.5670731707317073,
        "rev": "workspace",
        "threshold": 0.9988057613372803
    },
    {
        "index": 71,
        "precision": 1.0,
        "recall": 0.5609756097560976,
        "rev": "workspace",
        "threshold": 0.998812198638916
    },
    {
        "index": 72,
        "precision": 1.0,
        "recall": 0.5548780487804879,
        "rev": "workspace",
        "threshold": 0.9988149404525757
    },
    {
        "index": 73,
        "precision": 1.0,
        "recall": 0.5487804878048781,
        "rev": "workspace",
        "threshold": 0.9988189339637756
    },
    {
        "index": 74,
        "precision": 1.0,
        "recall": 0.5426829268292683,
        "rev": "workspace",
        "threshold": 0.9988269209861755
    },
    {
        "index": 75,
        "precision": 1.0,
        "recall": 0.5365853658536586,
        "rev": "workspace",
        "threshold": 0.9988340735435486
    },
    {
        "index": 76,
        "precision": 1.0,
        "recall": 0.5304878048780488,
        "rev": "workspace",
        "threshold": 0.9988480806350708
    },
    {
        "index": 77,
        "precision": 1.0,
        "recall": 0.524390243902439,
        "rev": "workspace",
        "threshold": 0.9988521337509155
    },
    {
        "index": 78,
        "precision": 1.0,
        "recall": 0.5182926829268293,
        "rev": "workspace",
        "threshold": 0.9988724589347839
    },
    {
        "index": 79,
        "precision": 1.0,
        "recall": 0.5121951219512195,
        "rev": "workspace",
        "threshold": 0.9988836646080017
    },
    {
        "index": 80,
        "precision": 1.0,
        "recall": 0.5060975609756098,
        "rev": "workspace",
        "threshold": 0.9988943934440613
    },
    {
        "index": 81,
        "precision": 1.0,
        "recall": 0.5,
        "rev": "workspace",
        "threshold": 0.9989174604415894
    },
    {
        "index": 82,
        "precision": 1.0,
        "recall": 0.49390243902439024,
        "rev": "workspace",
        "threshold": 0.9989245533943176
    },
    {
        "index": 83,
        "precision": 1.0,
        "recall": 0.4817073170731707,
        "rev": "workspace",
        "threshold": 0.9989427924156189
    },
    {
        "index": 84,
        "precision": 1.0,
        "recall": 0.47560975609756095,
        "rev": "workspace",
        "threshold": 0.9989504814147949
    },
    {
        "index": 85,
        "precision": 1.0,
        "recall": 0.4695121951219512,
        "rev": "workspace",
        "threshold": 0.9989677667617798
    },
    {
        "index": 86,
        "precision": 1.0,
        "recall": 0.4634146341463415,
        "rev": "workspace",
        "threshold": 0.9989687204360962
    },
    {
        "index": 87,
        "precision": 1.0,
        "recall": 0.4573170731707317,
        "rev": "workspace",
        "threshold": 0.998970627784729
    },
    {
        "index": 88,
        "precision": 1.0,
        "recall": 0.45121951219512196,
        "rev": "workspace",
        "threshold": 0.998989999294281
    },
    {
        "index": 89,
        "precision": 1.0,
        "recall": 0.4451219512195122,
        "rev": "workspace",
        "threshold": 0.9990247488021851
    },
    {
        "index": 90,
        "precision": 1.0,
        "recall": 0.43902439024390244,
        "rev": "workspace",
        "threshold": 0.999025821685791
    },
    {
        "index": 91,
        "precision": 1.0,
        "recall": 0.4329268292682927,
        "rev": "workspace",
        "threshold": 0.9990346431732178
    },
    {
        "index": 92,
        "precision": 1.0,
        "recall": 0.4268292682926829,
        "rev": "workspace",
        "threshold": 0.9990577101707458
    },
    {
        "index": 93,
        "precision": 1.0,
        "recall": 0.42073170731707316,
        "rev": "workspace",
        "threshold": 0.9990739822387695
    },
    {
        "index": 94,
        "precision": 1.0,
        "recall": 0.4146341463414634,
        "rev": "workspace",
        "threshold": 0.9990744590759277
    },
    {
        "index": 95,
        "precision": 1.0,
        "recall": 0.40853658536585363,
        "rev": "workspace",
        "threshold": 0.9990793466567993
    },
    {
        "index": 96,
        "precision": 1.0,
        "recall": 0.4024390243902439,
        "rev": "workspace",
        "threshold": 0.9990878105163574
    },
    {
        "index": 97,
        "precision": 1.0,
        "recall": 0.39634146341463417,
        "rev": "workspace",
        "threshold": 0.999110758304596
    },
    {
        "index": 98,
        "precision": 1.0,
        "recall": 0.3902439024390244,
        "rev": "workspace",
        "threshold": 0.9991410970687866
    },
    {
        "index": 99,
        "precision": 1.0,
        "recall": 0.38414634146341464,
        "rev": "workspace",
        "threshold": 0.9991449117660522
    },
    {
        "index": 100,
        "precision": 1.0,
        "recall": 0.3780487804878049,
        "rev": "workspace",
        "threshold": 0.999151349067688
    },
    {
        "index": 101,
        "precision": 1.0,
        "recall": 0.3719512195121951,
        "rev": "workspace",
        "threshold": 0.9991649389266968
    },
    {
        "index": 102,
        "precision": 1.0,
        "recall": 0.36585365853658536,
        "rev": "workspace",
        "threshold": 0.9991732239723206
    },
    {
        "index": 103,
        "precision": 1.0,
        "recall": 0.3597560975609756,
        "rev": "workspace",
        "threshold": 0.99918133020401
    },
    {
        "index": 104,
        "precision": 1.0,
        "recall": 0.35365853658536583,
        "rev": "workspace",
        "threshold": 0.9991827607154846
    },
    {
        "index": 105,
        "precision": 1.0,
        "recall": 0.3475609756097561,
        "rev": "workspace",
        "threshold": 0.9991856217384338
    },
    {
        "index": 106,
        "precision": 1.0,
        "recall": 0.34146341463414637,
        "rev": "workspace",
        "threshold": 0.9991982579231262
    },
    {
        "index": 107,
        "precision": 1.0,
        "recall": 0.3353658536585366,
        "rev": "workspace",
        "threshold": 0.9991990923881531
    },
    {
        "index": 108,
        "precision": 1.0,
        "recall": 0.32926829268292684,
        "rev": "workspace",
        "threshold": 0.9992178678512573
    },
    {
        "index": 109,
        "precision": 1.0,
        "recall": 0.3231707317073171,
        "rev": "workspace",
        "threshold": 0.9992198944091797
    },
    {
        "index": 110,
        "precision": 1.0,
        "recall": 0.3170731707317073,
        "rev": "workspace",
        "threshold": 0.9992293119430542
    },
    {
        "index": 111,
        "precision": 1.0,
        "recall": 0.31097560975609756,
        "rev": "workspace",
        "threshold": 0.999231219291687
    },
    {
        "index": 112,
        "precision": 1.0,
        "recall": 0.3048780487804878,
        "rev": "workspace",
        "threshold": 0.9992377758026123
    },
    {
        "index": 113,
        "precision": 1.0,
        "recall": 0.29878048780487804,
        "rev": "workspace",
        "threshold": 0.9992415904998779
    },
    {
        "index": 114,
        "precision": 1.0,
        "recall": 0.2926829268292683,
        "rev": "workspace",
        "threshold": 0.9992420673370361
    },
    {
        "index": 115,
        "precision": 1.0,
        "recall": 0.2865853658536585,
        "rev": "workspace",
        "threshold": 0.9992431402206421
    },
    {
        "index": 116,
        "precision": 1.0,
        "recall": 0.2804878048780488,
        "rev": "workspace",
        "threshold": 0.999245285987854
    },
    {
        "index": 117,
        "precision": 1.0,
        "recall": 0.27439024390243905,
        "rev": "workspace",
        "threshold": 0.9992495179176331
    },
    {
        "index": 118,
        "precision": 1.0,
        "recall": 0.2682926829268293,
        "rev": "workspace",
        "threshold": 0.999250590801239
    },
    {
        "index": 119,
        "precision": 1.0,
        "recall": 0.2621951219512195,
        "rev": "workspace",
        "threshold": 0.9992520213127136
    },
    {
        "index": 120,
        "precision": 1.0,
        "recall": 0.25609756097560976,
        "rev": "workspace",
        "threshold": 0.9992541670799255
    },
    {
        "index": 121,
        "precision": 1.0,
        "recall": 0.25,
        "rev": "workspace",
        "threshold": 0.9992597699165344
    },
    {
        "index": 122,
        "precision": 1.0,
        "recall": 0.24390243902439024,
        "rev": "workspace",
        "threshold": 0.999269425868988
    },
    {
        "index": 123,
        "precision": 1.0,
        "recall": 0.23780487804878048,
        "rev": "workspace",
        "threshold": 0.9992715716362
    },
    {
        "index": 124,
        "precision": 1.0,
        "recall": 0.23170731707317074,
        "rev": "workspace",
        "threshold": 0.9992721676826477
    },
    {
        "index": 125,
        "precision": 1.0,
        "recall": 0.22560975609756098,
        "rev": "workspace",
        "threshold": 0.9992734789848328
    },
    {
        "index": 126,
        "precision": 1.0,
        "recall": 0.21951219512195122,
        "rev": "workspace",
        "threshold": 0.9992735981941223
    },
    {
        "index": 127,
        "precision": 1.0,
        "recall": 0.21341463414634146,
        "rev": "workspace",
        "threshold": 0.9992765784263611
    },
    {
        "index": 128,
        "precision": 1.0,
        "recall": 0.2073170731707317,
        "rev": "workspace",
        "threshold": 0.9993000030517578
    },
    {
        "index": 129,
        "precision": 1.0,
        "recall": 0.20121951219512196,
        "rev": "workspace",
        "threshold": 0.9993222951889038
    },
    {
        "index": 130,
        "precision": 1.0,
        "recall": 0.1951219512195122,
        "rev": "workspace",
        "threshold": 0.9993313550949097
    },
    {
        "index": 131,
        "precision": 1.0,
        "recall": 0.18902439024390244,
        "rev": "workspace",
        "threshold": 0.9993497729301453
    },
    {
        "index": 132,
        "precision": 1.0,
        "recall": 0.18292682926829268,
        "rev": "workspace",
        "threshold": 0.9993498921394348
    },
    {
        "index": 133,
        "precision": 1.0,
        "recall": 0.17682926829268292,
        "rev": "workspace",
        "threshold": 0.9993515610694885
    },
    {
        "index": 134,
        "precision": 1.0,
        "recall": 0.17073170731707318,
        "rev": "workspace",
        "threshold": 0.9993576407432556
    },
    {
        "index": 135,
        "precision": 1.0,
        "recall": 0.16463414634146342,
        "rev": "workspace",
        "threshold": 0.9993578791618347
    },
    {
        "index": 136,
        "precision": 1.0,
        "recall": 0.15853658536585366,
        "rev": "workspace",
        "threshold": 0.9993602633476257
    },
    {
        "index": 137,
        "precision": 1.0,
        "recall": 0.1524390243902439,
        "rev": "workspace",
        "threshold": 0.9993618130683899
    },
    {
        "index": 138,
        "precision": 1.0,
        "recall": 0.14634146341463414,
        "rev": "workspace",
        "threshold": 0.9993645548820496
    },
    {
        "index": 139,
        "precision": 1.0,
        "recall": 0.1402439024390244,
        "rev": "workspace",
        "threshold": 0.9993662238121033
    },
    {
        "index": 140,
        "precision": 1.0,
        "recall": 0.13414634146341464,
        "rev": "workspace",
        "threshold": 0.9993755221366882
    },
    {
        "index": 141,
        "precision": 1.0,
        "recall": 0.12804878048780488,
        "rev": "workspace",
        "threshold": 0.999376118183136
    },
    {
        "index": 142,
        "precision": 1.0,
        "recall": 0.12195121951219512,
        "rev": "workspace",
        "threshold": 0.9993853569030762
    },
    {
        "index": 143,
        "precision": 1.0,
        "recall": 0.11585365853658537,
        "rev": "workspace",
        "threshold": 0.999393105506897
    },
    {
        "index": 144,
        "precision": 1.0,
        "recall": 0.10975609756097561,
        "rev": "workspace",
        "threshold": 0.9993940591812134
    },
    {
        "index": 145,
        "precision": 1.0,
        "recall": 0.10365853658536585,
        "rev": "workspace",
        "threshold": 0.9994066953659058
    },
    {
        "index": 146,
        "precision": 1.0,
        "recall": 0.0975609756097561,
        "rev": "workspace",
        "threshold": 0.9994163513183594
    },
    {
        "index": 147,
        "precision": 1.0,
        "recall": 0.09146341463414634,
        "rev": "workspace",
        "threshold": 0.9994248151779175
    },
    {
        "index": 148,
        "precision": 1.0,
        "recall": 0.08536585365853659,
        "rev": "workspace",
        "threshold": 0.9994268417358398
    },
    {
        "index": 149,
        "precision": 1.0,
        "recall": 0.07926829268292683,
        "rev": "workspace",
        "threshold": 0.999434769153595
    },
    {
        "index": 150,
        "precision": 1.0,
        "recall": 0.07317073170731707,
        "rev": "workspace",
        "threshold": 0.9994351267814636
    },
    {
        "index": 151,
        "precision": 1.0,
        "recall": 0.06707317073170732,
        "rev": "workspace",
        "threshold": 0.9994357228279114
    },
    {
        "index": 152,
        "precision": 1.0,
        "recall": 0.06097560975609756,
        "rev": "workspace",
        "threshold": 0.9994364380836487
    },
    {
        "index": 153,
        "precision": 1.0,
        "recall": 0.054878048780487805,
        "rev": "workspace",
        "threshold": 0.9994387030601501
    },
    {
        "index": 154,
        "precision": 1.0,
        "recall": 0.04878048780487805,
        "rev": "workspace",
        "threshold": 0.9994469285011292
    },
    {
        "index": 155,
        "precision": 1.0,
        "recall": 0.042682926829268296,
        "rev": "workspace",
        "threshold": 0.9994497895240784
    },
    {
        "index": 156,
        "precision": 1.0,
        "recall": 0.036585365853658534,
        "rev": "workspace",
        "threshold": 0.999460756778717
    },
    {
        "index": 157,
        "precision": 1.0,
        "recall": 0.03048780487804878,
        "rev": "workspace",
        "threshold": 0.9994706511497498
    },
    {
        "index": 158,
        "precision": 1.0,
        "recall": 0.024390243902439025,
        "rev": "workspace",
        "threshold": 0.9994741082191467
    },
    {
        "index": 159,
        "precision": 1.0,
        "recall": 0.018292682926829267,
        "rev": "workspace",
        "threshold": 0.9994851350784302
    },
    {
        "index": 160,
        "precision": 1.0,
        "recall": 0.012195121951219513,
        "rev": "workspace",
        "threshold": 0.9994862079620361
    },
    {
        "index": 161,
        "precision": 1.0,
        "recall": 0.006097560975609756,
        "rev": "workspace",
        "threshold": 0.9994897842407227
    }
]
    },
    "title": "",
    "mark": {
        "type": "line"
    },
    "encoding": {
        "x": {
            "field": "index",
            "type": "quantitative",
            "title": "index"
        },
        "y": {
            "field": "threshold",
            "type": "quantitative",
            "title": "threshold",
            "scale": {
                "zero": false
            }
        },
        "color": {
            "field": "rev",
            "type": "nominal"
        }
    }
}
;
    vegaEmbed('#plot0', spec);
</script>
<div id = "plot1"></div>
<script type = "text/javascript">
    var spec = {
    "$schema": "https://vega.github.io/schema/vega-lite/v4.json",
    "data": {
        "values": [
    {
        "index": 0,
        "precision": 1.0,
        "recall": 1.0,
        "rev": "workspace",
        "threshold": 0.996957540512085
    },
    {
        "index": 1,
        "precision": 1.0,
        "recall": 0.9939024390243902,
        "rev": "workspace",
        "threshold": 0.997553288936615
    },
    {
        "index": 2,
        "precision": 1.0,
        "recall": 0.9878048780487805,
        "rev": "workspace",
        "threshold": 0.9976229071617126
    },
    {
        "index": 3,
        "precision": 1.0,
        "recall": 0.9817073170731707,
        "rev": "workspace",
        "threshold": 0.9976685643196106
    },
    {
        "index": 4,
        "precision": 1.0,
        "recall": 0.975609756097561,
        "rev": "workspace",
        "threshold": 0.9976789355278015
    },
    {
        "index": 5,
        "precision": 1.0,
        "recall": 0.9695121951219512,
        "rev": "workspace",
        "threshold": 0.9976876974105835
    },
    {
        "index": 6,
        "precision": 1.0,
        "recall": 0.9634146341463414,
        "rev": "workspace",
        "threshold": 0.9977164268493652
    },
    {
        "index": 7,
        "precision": 1.0,
        "recall": 0.9573170731707317,
        "rev": "workspace",
        "threshold": 0.9977637529373169
    },
    {
        "index": 8,
        "precision": 1.0,
        "recall": 0.9512195121951219,
        "rev": "workspace",
        "threshold": 0.9978131055831909
    },
    {
        "index": 9,
        "precision": 1.0,
        "recall": 0.9451219512195121,
        "rev": "workspace",
        "threshold": 0.9978247880935669
    },
    {
        "index": 10,
        "precision": 1.0,
        "recall": 0.9390243902439024,
        "rev": "workspace",
        "threshold": 0.9979091286659241
    },
    {
        "index": 11,
        "precision": 1.0,
        "recall": 0.9329268292682927,
        "rev": "workspace",
        "threshold": 0.9979507327079773
    },
    {
        "index": 12,
        "precision": 1.0,
        "recall": 0.926829268292683,
        "rev": "workspace",
        "threshold": 0.9979900121688843
    },
    {
        "index": 13,
        "precision": 1.0,
        "recall": 0.9207317073170732,
        "rev": "workspace",
        "threshold": 0.9980798959732056
    },
    {
        "index": 14,
        "precision": 1.0,
        "recall": 0.9146341463414634,
        "rev": "workspace",
        "threshold": 0.9981081485748291
    },
    {
        "index": 15,
        "precision": 1.0,
        "recall": 0.9085365853658537,
        "rev": "workspace",
        "threshold": 0.9981155395507812
    },
    {
        "index": 16,
        "precision": 1.0,
        "recall": 0.9024390243902439,
        "rev": "workspace",
        "threshold": 0.9981367588043213
    },
    {
        "index": 17,
        "precision": 1.0,
        "recall": 0.8963414634146342,
        "rev": "workspace",
        "threshold": 0.998239278793335
    },
    {
        "index": 18,
        "precision": 1.0,
        "recall": 0.8902439024390244,
        "rev": "workspace",
        "threshold": 0.9982403516769409
    },
    {
        "index": 19,
        "precision": 1.0,
        "recall": 0.8841463414634146,
        "rev": "workspace",
        "threshold": 0.998272180557251
    },
    {
        "index": 20,
        "precision": 1.0,
        "recall": 0.8780487804878049,
        "rev": "workspace",
        "threshold": 0.9982740879058838
    },
    {
        "index": 21,
        "precision": 1.0,
        "recall": 0.8719512195121951,
        "rev": "workspace",
        "threshold": 0.9982907176017761
    },
    {
        "index": 22,
        "precision": 1.0,
        "recall": 0.8658536585365854,
        "rev": "workspace",
        "threshold": 0.9983205199241638
    },
    {
        "index": 23,
        "precision": 1.0,
        "recall": 0.8597560975609756,
        "rev": "workspace",
        "threshold": 0.9983412027359009
    },
    {
        "index": 24,
        "precision": 1.0,
        "recall": 0.8536585365853658,
        "rev": "workspace",
        "threshold": 0.9983595013618469
    },
    {
        "index": 25,
        "precision": 1.0,
        "recall": 0.8475609756097561,
        "rev": "workspace",
        "threshold": 0.9983949065208435
    },
    {
        "index": 26,
        "precision": 1.0,
        "recall": 0.8414634146341463,
        "rev": "workspace",
        "threshold": 0.9983999133110046
    },
    {
        "index": 27,
        "precision": 1.0,
        "recall": 0.8353658536585366,
        "rev": "workspace",
        "threshold": 0.9984996318817139
    },
    {
        "index": 28,
        "precision": 1.0,
        "recall": 0.8292682926829268,
        "rev": "workspace",
        "threshold": 0.9985396862030029
    },
    {
        "index": 29,
        "precision": 1.0,
        "recall": 0.823170731707317,
        "rev": "workspace",
        "threshold": 0.9985449314117432
    },
    {
        "index": 30,
        "precision": 1.0,
        "recall": 0.8109756097560976,
        "rev": "workspace",
        "threshold": 0.9985511898994446
    },
    {
        "index": 31,
        "precision": 1.0,
        "recall": 0.8048780487804879,
        "rev": "workspace",
        "threshold": 0.9985719919204712
    },
    {
        "index": 32,
        "precision": 1.0,
        "recall": 0.7987804878048781,
        "rev": "workspace",
        "threshold": 0.9985846281051636
    },
    {
        "index": 33,
        "precision": 1.0,
        "recall": 0.7926829268292683,
        "rev": "workspace",
        "threshold": 0.9985950589179993
    },
    {
        "index": 34,
        "precision": 1.0,
        "recall": 0.7865853658536586,
        "rev": "workspace",
        "threshold": 0.9985951781272888
    },
    {
        "index": 35,
        "precision": 1.0,
        "recall": 0.7804878048780488,
        "rev": "workspace",
        "threshold": 0.9985952973365784
    },
    {
        "index": 36,
        "precision": 1.0,
        "recall": 0.774390243902439,
        "rev": "workspace",
        "threshold": 0.9986078143119812
    },
    {
        "index": 37,
        "precision": 1.0,
        "recall": 0.7682926829268293,
        "rev": "workspace",
        "threshold": 0.9986099004745483
    },
    {
        "index": 38,
        "precision": 1.0,
        "recall": 0.7621951219512195,
        "rev": "workspace",
        "threshold": 0.998636782169342
    },
    {
        "index": 39,
        "precision": 1.0,
        "recall": 0.7560975609756098,
        "rev": "workspace",
        "threshold": 0.9986404776573181
    },
    {
        "index": 40,
        "precision": 1.0,
        "recall": 0.75,
        "rev": "workspace",
        "threshold": 0.9986550807952881
    },
    {
        "index": 41,
        "precision": 1.0,
        "recall": 0.7439024390243902,
        "rev": "workspace",
        "threshold": 0.9986580610275269
    },
    {
        "index": 42,
        "precision": 1.0,
        "recall": 0.7378048780487805,
        "rev": "workspace",
        "threshold": 0.9986633062362671
    },
    {
        "index": 43,
        "precision": 1.0,
        "recall": 0.7317073170731707,
        "rev": "workspace",
        "threshold": 0.9986660480499268
    },
    {
        "index": 44,
        "precision": 1.0,
        "recall": 0.725609756097561,
        "rev": "workspace",
        "threshold": 0.9986786246299744
    },
    {
        "index": 45,
        "precision": 1.0,
        "recall": 0.7195121951219512,
        "rev": "workspace",
        "threshold": 0.9986799359321594
    },
    {
        "index": 46,
        "precision": 1.0,
        "recall": 0.7134146341463414,
        "rev": "workspace",
        "threshold": 0.9986903071403503
    },
    {
        "index": 47,
        "precision": 1.0,
        "recall": 0.7073170731707317,
        "rev": "workspace",
        "threshold": 0.998691976070404
    },
    {
        "index": 48,
        "precision": 1.0,
        "recall": 0.7012195121951219,
        "rev": "workspace",
        "threshold": 0.9987020492553711
    },
    {
        "index": 49,
        "precision": 1.0,
        "recall": 0.6951219512195121,
        "rev": "workspace",
        "threshold": 0.9987095594406128
    },
    {
        "index": 50,
        "precision": 1.0,
        "recall": 0.6890243902439024,
        "rev": "workspace",
        "threshold": 0.9987138509750366
    },
    {
        "index": 51,
        "precision": 1.0,
        "recall": 0.6829268292682927,
        "rev": "workspace",
        "threshold": 0.9987143278121948
    },
    {
        "index": 52,
        "precision": 1.0,
        "recall": 0.676829268292683,
        "rev": "workspace",
        "threshold": 0.9987170696258545
    },
    {
        "index": 53,
        "precision": 1.0,
        "recall": 0.6707317073170732,
        "rev": "workspace",
        "threshold": 0.9987185001373291
    },
    {
        "index": 54,
        "precision": 1.0,
        "recall": 0.6646341463414634,
        "rev": "workspace",
        "threshold": 0.9987277388572693
    },
    {
        "index": 55,
        "precision": 1.0,
        "recall": 0.6585365853658537,
        "rev": "workspace",
        "threshold": 0.9987284541130066
    },
    {
        "index": 56,
        "precision": 1.0,
        "recall": 0.6524390243902439,
        "rev": "workspace",
        "threshold": 0.9987395405769348
    },
    {
        "index": 57,
        "precision": 1.0,
        "recall": 0.6463414634146342,
        "rev": "workspace",
        "threshold": 0.9987443685531616
    },
    {
        "index": 58,
        "precision": 1.0,
        "recall": 0.6402439024390244,
        "rev": "workspace",
        "threshold": 0.9987449645996094
    },
    {
        "index": 59,
        "precision": 1.0,
        "recall": 0.6341463414634146,
        "rev": "workspace",
        "threshold": 0.9987488985061646
    },
    {
        "index": 60,
        "precision": 1.0,
        "recall": 0.6280487804878049,
        "rev": "workspace",
        "threshold": 0.9987497329711914
    },
    {
        "index": 61,
        "precision": 1.0,
        "recall": 0.6219512195121951,
        "rev": "workspace",
        "threshold": 0.998751163482666
    },
    {
        "index": 62,
        "precision": 1.0,
        "recall": 0.6158536585365854,
        "rev": "workspace",
        "threshold": 0.9987708926200867
    },
    {
        "index": 63,
        "precision": 1.0,
        "recall": 0.6097560975609756,
        "rev": "workspace",
        "threshold": 0.9987730383872986
    },
    {
        "index": 64,
        "precision": 1.0,
        "recall": 0.6036585365853658,
        "rev": "workspace",
        "threshold": 0.9987755417823792
    },
    {
        "index": 65,
        "precision": 1.0,
        "recall": 0.5975609756097561,
        "rev": "workspace",
        "threshold": 0.9987781643867493
    },
    {
        "index": 66,
        "precision": 1.0,
        "recall": 0.5914634146341463,
        "rev": "workspace",
        "threshold": 0.998783528804779
    },
    {
        "index": 67,
        "precision": 1.0,
        "recall": 0.5853658536585366,
        "rev": "workspace",
        "threshold": 0.9987840056419373
    },
    {
        "index": 68,
        "precision": 1.0,
        "recall": 0.5792682926829268,
        "rev": "workspace",
        "threshold": 0.998786985874176
    },
    {
        "index": 69,
        "precision": 1.0,
        "recall": 0.573170731707317,
        "rev": "workspace",
        "threshold": 0.9987934827804565
    },
    {
        "index": 70,
        "precision": 1.0,
        "recall": 0.5670731707317073,
        "rev": "workspace",
        "threshold": 0.9988057613372803
    },
    {
        "index": 71,
        "precision": 1.0,
        "recall": 0.5609756097560976,
        "rev": "workspace",
        "threshold": 0.998812198638916
    },
    {
        "index": 72,
        "precision": 1.0,
        "recall": 0.5548780487804879,
        "rev": "workspace",
        "threshold": 0.9988149404525757
    },
    {
        "index": 73,
        "precision": 1.0,
        "recall": 0.5487804878048781,
        "rev": "workspace",
        "threshold": 0.9988189339637756
    },
    {
        "index": 74,
        "precision": 1.0,
        "recall": 0.5426829268292683,
        "rev": "workspace",
        "threshold": 0.9988269209861755
    },
    {
        "index": 75,
        "precision": 1.0,
        "recall": 0.5365853658536586,
        "rev": "workspace",
        "threshold": 0.9988340735435486
    },
    {
        "index": 76,
        "precision": 1.0,
        "recall": 0.5304878048780488,
        "rev": "workspace",
        "threshold": 0.9988480806350708
    },
    {
        "index": 77,
        "precision": 1.0,
        "recall": 0.524390243902439,
        "rev": "workspace",
        "threshold": 0.9988521337509155
    },
    {
        "index": 78,
        "precision": 1.0,
        "recall": 0.5182926829268293,
        "rev": "workspace",
        "threshold": 0.9988724589347839
    },
    {
        "index": 79,
        "precision": 1.0,
        "recall": 0.5121951219512195,
        "rev": "workspace",
        "threshold": 0.9988836646080017
    },
    {
        "index": 80,
        "precision": 1.0,
        "recall": 0.5060975609756098,
        "rev": "workspace",
        "threshold": 0.9988943934440613
    },
    {
        "index": 81,
        "precision": 1.0,
        "recall": 0.5,
        "rev": "workspace",
        "threshold": 0.9989174604415894
    },
    {
        "index": 82,
        "precision": 1.0,
        "recall": 0.49390243902439024,
        "rev": "workspace",
        "threshold": 0.9989245533943176
    },
    {
        "index": 83,
        "precision": 1.0,
        "recall": 0.4817073170731707,
        "rev": "workspace",
        "threshold": 0.9989427924156189
    },
    {
        "index": 84,
        "precision": 1.0,
        "recall": 0.47560975609756095,
        "rev": "workspace",
        "threshold": 0.9989504814147949
    },
    {
        "index": 85,
        "precision": 1.0,
        "recall": 0.4695121951219512,
        "rev": "workspace",
        "threshold": 0.9989677667617798
    },
    {
        "index": 86,
        "precision": 1.0,
        "recall": 0.4634146341463415,
        "rev": "workspace",
        "threshold": 0.9989687204360962
    },
    {
        "index": 87,
        "precision": 1.0,
        "recall": 0.4573170731707317,
        "rev": "workspace",
        "threshold": 0.998970627784729
    },
    {
        "index": 88,
        "precision": 1.0,
        "recall": 0.45121951219512196,
        "rev": "workspace",
        "threshold": 0.998989999294281
    },
    {
        "index": 89,
        "precision": 1.0,
        "recall": 0.4451219512195122,
        "rev": "workspace",
        "threshold": 0.9990247488021851
    },
    {
        "index": 90,
        "precision": 1.0,
        "recall": 0.43902439024390244,
        "rev": "workspace",
        "threshold": 0.999025821685791
    },
    {
        "index": 91,
        "precision": 1.0,
        "recall": 0.4329268292682927,
        "rev": "workspace",
        "threshold": 0.9990346431732178
    },
    {
        "index": 92,
        "precision": 1.0,
        "recall": 0.4268292682926829,
        "rev": "workspace",
        "threshold": 0.9990577101707458
    },
    {
        "index": 93,
        "precision": 1.0,
        "recall": 0.42073170731707316,
        "rev": "workspace",
        "threshold": 0.9990739822387695
    },
    {
        "index": 94,
        "precision": 1.0,
        "recall": 0.4146341463414634,
        "rev": "workspace",
        "threshold": 0.9990744590759277
    },
    {
        "index": 95,
        "precision": 1.0,
        "recall": 0.40853658536585363,
        "rev": "workspace",
        "threshold": 0.9990793466567993
    },
    {
        "index": 96,
        "precision": 1.0,
        "recall": 0.4024390243902439,
        "rev": "workspace",
        "threshold": 0.9990878105163574
    },
    {
        "index": 97,
        "precision": 1.0,
        "recall": 0.39634146341463417,
        "rev": "workspace",
        "threshold": 0.999110758304596
    },
    {
        "index": 98,
        "precision": 1.0,
        "recall": 0.3902439024390244,
        "rev": "workspace",
        "threshold": 0.9991410970687866
    },
    {
        "index": 99,
        "precision": 1.0,
        "recall": 0.38414634146341464,
        "rev": "workspace",
        "threshold": 0.9991449117660522
    },
    {
        "index": 100,
        "precision": 1.0,
        "recall": 0.3780487804878049,
        "rev": "workspace",
        "threshold": 0.999151349067688
    },
    {
        "index": 101,
        "precision": 1.0,
        "recall": 0.3719512195121951,
        "rev": "workspace",
        "threshold": 0.9991649389266968
    },
    {
        "index": 102,
        "precision": 1.0,
        "recall": 0.36585365853658536,
        "rev": "workspace",
        "threshold": 0.9991732239723206
    },
    {
        "index": 103,
        "precision": 1.0,
        "recall": 0.3597560975609756,
        "rev": "workspace",
        "threshold": 0.99918133020401
    },
    {
        "index": 104,
        "precision": 1.0,
        "recall": 0.35365853658536583,
        "rev": "workspace",
        "threshold": 0.9991827607154846
    },
    {
        "index": 105,
        "precision": 1.0,
        "recall": 0.3475609756097561,
        "rev": "workspace",
        "threshold": 0.9991856217384338
    },
    {
        "index": 106,
        "precision": 1.0,
        "recall": 0.34146341463414637,
        "rev": "workspace",
        "threshold": 0.9991982579231262
    },
    {
        "index": 107,
        "precision": 1.0,
        "recall": 0.3353658536585366,
        "rev": "workspace",
        "threshold": 0.9991990923881531
    },
    {
        "index": 108,
        "precision": 1.0,
        "recall": 0.32926829268292684,
        "rev": "workspace",
        "threshold": 0.9992178678512573
    },
    {
        "index": 109,
        "precision": 1.0,
        "recall": 0.3231707317073171,
        "rev": "workspace",
        "threshold": 0.9992198944091797
    },
    {
        "index": 110,
        "precision": 1.0,
        "recall": 0.3170731707317073,
        "rev": "workspace",
        "threshold": 0.9992293119430542
    },
    {
        "index": 111,
        "precision": 1.0,
        "recall": 0.31097560975609756,
        "rev": "workspace",
        "threshold": 0.999231219291687
    },
    {
        "index": 112,
        "precision": 1.0,
        "recall": 0.3048780487804878,
        "rev": "workspace",
        "threshold": 0.9992377758026123
    },
    {
        "index": 113,
        "precision": 1.0,
        "recall": 0.29878048780487804,
        "rev": "workspace",
        "threshold": 0.9992415904998779
    },
    {
        "index": 114,
        "precision": 1.0,
        "recall": 0.2926829268292683,
        "rev": "workspace",
        "threshold": 0.9992420673370361
    },
    {
        "index": 115,
        "precision": 1.0,
        "recall": 0.2865853658536585,
        "rev": "workspace",
        "threshold": 0.9992431402206421
    },
    {
        "index": 116,
        "precision": 1.0,
        "recall": 0.2804878048780488,
        "rev": "workspace",
        "threshold": 0.999245285987854
    },
    {
        "index": 117,
        "precision": 1.0,
        "recall": 0.27439024390243905,
        "rev": "workspace",
        "threshold": 0.9992495179176331
    },
    {
        "index": 118,
        "precision": 1.0,
        "recall": 0.2682926829268293,
        "rev": "workspace",
        "threshold": 0.999250590801239
    },
    {
        "index": 119,
        "precision": 1.0,
        "recall": 0.2621951219512195,
        "rev": "workspace",
        "threshold": 0.9992520213127136
    },
    {
        "index": 120,
        "precision": 1.0,
        "recall": 0.25609756097560976,
        "rev": "workspace",
        "threshold": 0.9992541670799255
    },
    {
        "index": 121,
        "precision": 1.0,
        "recall": 0.25,
        "rev": "workspace",
        "threshold": 0.9992597699165344
    },
    {
        "index": 122,
        "precision": 1.0,
        "recall": 0.24390243902439024,
        "rev": "workspace",
        "threshold": 0.999269425868988
    },
    {
        "index": 123,
        "precision": 1.0,
        "recall": 0.23780487804878048,
        "rev": "workspace",
        "threshold": 0.9992715716362
    },
    {
        "index": 124,
        "precision": 1.0,
        "recall": 0.23170731707317074,
        "rev": "workspace",
        "threshold": 0.9992721676826477
    },
    {
        "index": 125,
        "precision": 1.0,
        "recall": 0.22560975609756098,
        "rev": "workspace",
        "threshold": 0.9992734789848328
    },
    {
        "index": 126,
        "precision": 1.0,
        "recall": 0.21951219512195122,
        "rev": "workspace",
        "threshold": 0.9992735981941223
    },
    {
        "index": 127,
        "precision": 1.0,
        "recall": 0.21341463414634146,
        "rev": "workspace",
        "threshold": 0.9992765784263611
    },
    {
        "index": 128,
        "precision": 1.0,
        "recall": 0.2073170731707317,
        "rev": "workspace",
        "threshold": 0.9993000030517578
    },
    {
        "index": 129,
        "precision": 1.0,
        "recall": 0.20121951219512196,
        "rev": "workspace",
        "threshold": 0.9993222951889038
    },
    {
        "index": 130,
        "precision": 1.0,
        "recall": 0.1951219512195122,
        "rev": "workspace",
        "threshold": 0.9993313550949097
    },
    {
        "index": 131,
        "precision": 1.0,
        "recall": 0.18902439024390244,
        "rev": "workspace",
        "threshold": 0.9993497729301453
    },
    {
        "index": 132,
        "precision": 1.0,
        "recall": 0.18292682926829268,
        "rev": "workspace",
        "threshold": 0.9993498921394348
    },
    {
        "index": 133,
        "precision": 1.0,
        "recall": 0.17682926829268292,
        "rev": "workspace",
        "threshold": 0.9993515610694885
    },
    {
        "index": 134,
        "precision": 1.0,
        "recall": 0.17073170731707318,
        "rev": "workspace",
        "threshold": 0.9993576407432556
    },
    {
        "index": 135,
        "precision": 1.0,
        "recall": 0.16463414634146342,
        "rev": "workspace",
        "threshold": 0.9993578791618347
    },
    {
        "index": 136,
        "precision": 1.0,
        "recall": 0.15853658536585366,
        "rev": "workspace",
        "threshold": 0.9993602633476257
    },
    {
        "index": 137,
        "precision": 1.0,
        "recall": 0.1524390243902439,
        "rev": "workspace",
        "threshold": 0.9993618130683899
    },
    {
        "index": 138,
        "precision": 1.0,
        "recall": 0.14634146341463414,
        "rev": "workspace",
        "threshold": 0.9993645548820496
    },
    {
        "index": 139,
        "precision": 1.0,
        "recall": 0.1402439024390244,
        "rev": "workspace",
        "threshold": 0.9993662238121033
    },
    {
        "index": 140,
        "precision": 1.0,
        "recall": 0.13414634146341464,
        "rev": "workspace",
        "threshold": 0.9993755221366882
    },
    {
        "index": 141,
        "precision": 1.0,
        "recall": 0.12804878048780488,
        "rev": "workspace",
        "threshold": 0.999376118183136
    },
    {
        "index": 142,
        "precision": 1.0,
        "recall": 0.12195121951219512,
        "rev": "workspace",
        "threshold": 0.9993853569030762
    },
    {
        "index": 143,
        "precision": 1.0,
        "recall": 0.11585365853658537,
        "rev": "workspace",
        "threshold": 0.999393105506897
    },
    {
        "index": 144,
        "precision": 1.0,
        "recall": 0.10975609756097561,
        "rev": "workspace",
        "threshold": 0.9993940591812134
    },
    {
        "index": 145,
        "precision": 1.0,
        "recall": 0.10365853658536585,
        "rev": "workspace",
        "threshold": 0.9994066953659058
    },
    {
        "index": 146,
        "precision": 1.0,
        "recall": 0.0975609756097561,
        "rev": "workspace",
        "threshold": 0.9994163513183594
    },
    {
        "index": 147,
        "precision": 1.0,
        "recall": 0.09146341463414634,
        "rev": "workspace",
        "threshold": 0.9994248151779175
    },
    {
        "index": 148,
        "precision": 1.0,
        "recall": 0.08536585365853659,
        "rev": "workspace",
        "threshold": 0.9994268417358398
    },
    {
        "index": 149,
        "precision": 1.0,
        "recall": 0.07926829268292683,
        "rev": "workspace",
        "threshold": 0.999434769153595
    },
    {
        "index": 150,
        "precision": 1.0,
        "recall": 0.07317073170731707,
        "rev": "workspace",
        "threshold": 0.9994351267814636
    },
    {
        "index": 151,
        "precision": 1.0,
        "recall": 0.06707317073170732,
        "rev": "workspace",
        "threshold": 0.9994357228279114
    },
    {
        "index": 152,
        "precision": 1.0,
        "recall": 0.06097560975609756,
        "rev": "workspace",
        "threshold": 0.9994364380836487
    },
    {
        "index": 153,
        "precision": 1.0,
        "recall": 0.054878048780487805,
        "rev": "workspace",
        "threshold": 0.9994387030601501
    },
    {
        "index": 154,
        "precision": 1.0,
        "recall": 0.04878048780487805,
        "rev": "workspace",
        "threshold": 0.9994469285011292
    },
    {
        "index": 155,
        "precision": 1.0,
        "recall": 0.042682926829268296,
        "rev": "workspace",
        "threshold": 0.9994497895240784
    },
    {
        "index": 156,
        "precision": 1.0,
        "recall": 0.036585365853658534,
        "rev": "workspace",
        "threshold": 0.999460756778717
    },
    {
        "index": 157,
        "precision": 1.0,
        "recall": 0.03048780487804878,
        "rev": "workspace",
        "threshold": 0.9994706511497498
    },
    {
        "index": 158,
        "precision": 1.0,
        "recall": 0.024390243902439025,
        "rev": "workspace",
        "threshold": 0.9994741082191467
    },
    {
        "index": 159,
        "precision": 1.0,
        "recall": 0.018292682926829267,
        "rev": "workspace",
        "threshold": 0.9994851350784302
    },
    {
        "index": 160,
        "precision": 1.0,
        "recall": 0.012195121951219513,
        "rev": "workspace",
        "threshold": 0.9994862079620361
    },
    {
        "index": 161,
        "precision": 1.0,
        "recall": 0.006097560975609756,
        "rev": "workspace",
        "threshold": 0.9994897842407227
    }
]
    },
    "title": "",
    "mark": {
        "type": "line"
    },
    "encoding": {
        "x": {
            "field": "index",
            "type": "quantitative",
            "title": "index"
        },
        "y": {
            "field": "threshold",
            "type": "quantitative",
            "title": "threshold",
            "scale": {
                "zero": false
            }
        },
        "color": {
            "field": "rev",
            "type": "nominal"
        }
    }
}
;
    vegaEmbed('#plot1', spec);
</script>
</body>
</html>